org.codehaus.plexus.maven.plugin

## Class SourceComponentDescriptorExtractor

- java.lang.Object
- - org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractorSupport
  - - org.codehaus.plexus.maven.plugin.SourceComponentDescriptorExtractor

All Implemented Interfaces:
  ComponentDescriptorExtractor

    public class SourceComponentDescriptorExtractor
    extends ComponentDescriptorExtractorSupport

Extracts `ComponentDescriptor` from source files.

Version:
  $Rev: 7163 $ $Date: 2008-01-13 18:35:03 +0100 (So, 13. Jan 2008) $

### Field Summary

### Fields inherited from class org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractorSupport

`log`

### Fields inherited from interface org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractor

`COMPILE_SCOPE, ROLE, TEST_SCOPE`

### Constructor Summary

Constructors
Constructor and Description
`SourceComponentDescriptorExtractor()`
`SourceComponentDescriptorExtractor(org.codehaus.plexus.cdc.gleaner.SourceComponentGleaner gleaner)`

### Method Summary

Methods
`List` `extract(org.apache.maven.project.MavenProject project, String scope, org.codehaus.plexus.component.repository.cdc.ComponentDescriptor[] roleDefaults)`

### Methods inherited from class org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractorSupport

`applyDefaults, getDefaultsByRole`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceComponentDescriptorExtractor

    public SourceComponentDescriptorExtractor(org.codehaus.plexus.cdc.gleaner.SourceComponentGleaner gleaner)

#### SourceComponentDescriptorExtractor

    public SourceComponentDescriptorExtractor()

### Method Detail

#### extract

    public List extract(org.apache.maven.project.MavenProject project,
               String scope,
               org.codehaus.plexus.component.repository.cdc.ComponentDescriptor[] roleDefaults)
                 throws Exception

Throws:
  `Exception`